Module org.hdfgroup.hdfview
Package hdf.view.TreeView

# Class TreeViewFactory

Object
hdf.view.DataView.DataViewFactory
hdf.view.TreeView.TreeViewFactory

Direct Known Subclasses:
  `DefaultTreeViewFactory`

public abstract class TreeViewFactory extends DataViewFactory
This class extends DataViewFactory so that at runtime it can be determined if a specific DataViewFactory class is a TreeViewFactory and can thus be used appropriately where a TreeView is needed.

Version:
  1.0 7/30/2018
Author:
  jhenderson

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TreeViewFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `final ImageView`
  `getImageView(DataViewManager viewer, HashMap dataPropertiesMap)`
  Get an instance of ImageView given the appropriate constructor parameters
  `final MetaDataView`
  `getMetaDataView(org.eclipse.swt.widgets.Composite parentObj, DataViewManager viewer, HObject theObj)`
  Get an instance of MetaDataView given the appropriate constructor parameters
  `final PaletteView`
  `getPaletteView(org.eclipse.swt.widgets.Shell parent, DataViewManager viewer, ImageView theImageView)`
  Get an instance of PaletteView given the appropriate constructor parameters
  `final TableView`
  `getTableView(DataViewManager viewer, HashMap dataPropertiesMap)`
  Get an instance of TableView given the appropriate constructor parameters

  ### Methods inherited from class hdf.view.DataView.DataViewFactory

  `getTreeView`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TreeViewFactory

    public TreeViewFactory()

- ## Method Details

  - ### getTableView

    public final TableView getTableView(DataViewManager viewer, HashMap dataPropertiesMap) throws ClassNotFoundException, UnsupportedOperationException
    Description copied from class: `DataViewFactory`
    Get an instance of TableView given the appropriate constructor parameters
    Specified by:
      `getTableView` in class `DataViewFactory`
    Parameters:
      `viewer` - The data view manager
      `dataPropertiesMap` - The properties for the table view
    Returns:
      the table view.
    Throws:
      `ClassNotFoundException` - If there is an error getting the class for a table view.
      `UnsupportedOperationException`

  - ### getImageView

    public final ImageView getImageView(DataViewManager viewer, HashMap dataPropertiesMap) throws ClassNotFoundException, UnsupportedOperationException
    Description copied from class: `DataViewFactory`
    Get an instance of ImageView given the appropriate constructor parameters
    Specified by:
      `getImageView` in class `DataViewFactory`
    Parameters:
      `viewer` - The data view manager
      `dataPropertiesMap` - The properties for the image view
    Returns:
      the image view.
    Throws:
      `ClassNotFoundException` - If there is an error getting the class for a image view.
      `UnsupportedOperationException`

  - ### getPaletteView

    public final PaletteView getPaletteView(org.eclipse.swt.widgets.Shell parent, DataViewManager viewer, ImageView theImageView) throws ClassNotFoundException, UnsupportedOperationException
    Description copied from class: `DataViewFactory`
    Get an instance of PaletteView given the appropriate constructor parameters
    Specified by:
      `getPaletteView` in class `DataViewFactory`
    Parameters:
      `parent` - The parent shell for the palette view
      `viewer` - The data view manager
      `theImageView` - The image view for the palette view
    Returns:
      the palette view.
    Throws:
      `ClassNotFoundException` - If there is an error getting the class for a palette view.
      `UnsupportedOperationException`

  - ### getMetaDataView

    public final MetaDataView getMetaDataView(org.eclipse.swt.widgets.Composite parentObj, DataViewManager viewer, HObject theObj) throws ClassNotFoundException, UnsupportedOperationException
    Description copied from class: `DataViewFactory`
    Get an instance of MetaDataView given the appropriate constructor parameters
    Specified by:
      `getMetaDataView` in class `DataViewFactory`
    Parameters:
      `parentObj` - The parent composite for the maetadata view
      `viewer` - The data view manager
      `theObj` - The object for the metadata view
    Returns:
      the metadata view.
    Throws:
      `ClassNotFoundException` - If there is an error getting the class for a metadata view.
      `UnsupportedOperationException`